Subject: bug#9088: Java support

From: NightStrike <[email-masked]>
Date: Wed, 27 Jul 2011 12:00:27 -0400

On Wed, Jul 20, 2011 at 1:04 AM, tsuna <[email-masked]> wrote:
> What would be nice would be to have the ability to recompile only the
> .java that changed.  So when you edit 2/3 files, then we'd build just
> that, but in one command.

make can handle this pretty well.  If all the source files are listed
as prerequisites, $? will list all the ones newer than the target.
So, automake could easily write a rule to run the compiler against
only the .java files that have changed.